%define debug_package %{nil}
%define product_vendor clear
%define software_id 10600
%define product_family ClearOS Enterprise
%define samba_name ClearOS
%define samba_workgroup Enterprise
#%%define variant_titlecase Server
#%%define variant_lowercase server
%define release_name Beta 2
%define base_release_version 6
%define full_release_version 6.2
%define beta Beta

Name:           clearos-release%{?variant_lowercase:-%{variant_lowercase}}
Version:        6%{?variant_titlecase}
Release:        6.2.0.1%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Obsoletes:      redhat-release-server rawhide-release comps rpmdb-redhat fedora-release
Obsoletes:      redhat-release-as redhat-release-es redhat-release-ws redhat-release-de
Provides:       clearos-release redhat-release system-release redhat-release-server
Source0:        clearos-release-6-1.tar.gz

%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep
%setup -q -n clearos-release-6

%build
echo OK

%install
rm -rf $RPM_BUILD_ROOT

# create /etc
mkdir -p $RPM_BUILD_ROOT/etc

# create /etc/clearos-release, /etc/system-release and /etc/redhat-release
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > $RPM_BUILD_ROOT/etc/clearos-release
ln -s clearos-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s clearos-release $RPM_BUILD_ROOT/etc/system-release

# create /etc/product
cat > $RPM_BUILD_ROOT/etc/product << EOF
# Product details
vendor = %{product_vendor}
software_id = %{software_id}
name = %{product_family}%{?variant_titlecase: %{variant_titlecase}}
version = %{full_release_version}.0.beta2
base_version = %{full_release_version}.0.beta2

# Registration
free_trial = 1
portal_url = https://secure.clearcenter.com/portal

# Links
redirect_url = http://www.clearcenter.com/redirect

# Apps
samba_name = %{samba_name}
samba_workgroup = %{samba_workgroup}
samba_comment = %{product_family}%{?variant_titlecase: %{variant_titlecase}}

# Java Web Services
jws_nodes = 1
jws_prefix = cos6-ws
jws_domain = clearsdn.com
jws_realm = ws
jws_version = 1.0
EOF

# write cpe to /etc/system/release-cpe
echo "cpe:/o:redhat:enterprise_linux:%{version}:%{?beta:beta}%{!?beta:GA}%{?variant_lowercase::%{variant_lowercase}}" | tr [A-Z] [a-z] > $RPM_BUILD_ROOT/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
cp $RPM_BUILD_ROOT/etc/clearos-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
for file in *.repo; do
    install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

# copy GPG keys
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
    install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

# set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%rhel %{base_release_version}
%%dist .v%{base_release_version}
%%el%{base_release_version} 1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc GPL autorun-template
%attr(0644,root,root) /etc/clearos-release
/etc/redhat-release
/etc/system-release
/etc/product
%config %attr(0644,root,root) /etc/system-release-cpe
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/rpm/macros.dist
/etc/yum.repos.d/*

%changelog
* Thu Dec 15 2011 ClearFoundation <developer@clearfoundation.com> - 6-6.2.0.1
- Updated /etc/product for beta2

* Tue Nov 22 2011 ClearFoundation <developer@clearfoundation.com> - 6-6.1.0.4
- Update for beta2

* Fri Aug 26 2011 Shad L. Lords <slords@clearfoundation.com> - 6-6.1.0.3
- Update for beta1
- Fix repo file

* Fri Jul 22 2011 Shad L. Lords <slords@clearfoundation.com> - 6-6.1.0.1
- Add /etc/product

* Fri Jul 15 2011 Shad L. Lords <slords@clearfoundation.com> - 6-6.1.0.0
- Initial build for ClearOS Enterprise 6.1

